[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Accepted sdl-image1.2 1.2.2-1 (i386 source)



On Thu, Jul 25, 2002 at 01:26:23PM +0200, Marcelo E. Magallon wrote:
>  > Is this because the package is called libpng-dev and not libpng3-dev?
>  > What are the propper build-depends, libpng-dev (>= 1.2.1-1.2) seems
>  > to work.  Do add this dependency also to libsdl-image1.2-dev?
> 
>  libsdl-image1.2-dev needs a dependency on libpng3-dev because you can't
>  compile stuff (without warnings) if libpng.so is not present.  And you
>  want to have libpng.so pointing to libpng.so.3.  You need the same kind
>  of dependency in the Depends line as in the Build-Depends line.

You can thank libtool.

Note SDL works around this by building a -dev which doesn't have these
extra dependencies since they are not required.  Significantly complicates
building the package in the process of course, but SDL itself is already
that complex anyway, no reason to frustrate people who just wanna compile
SDL programs.

-- 
Joseph Carter <knghtbrd@bluecherry.net>          Have chainsaw will travel
 
<Culus> Ben: Do you solumly swear to read you debian email once a day and
        do not permit people to think you are MIA?
<Ben> Culus: i do so swear

Attachment: pgpPYkPNHGpuO.pgp
Description: PGP signature


Reply to: